aboutsummaryrefslogtreecommitdiff
path: root/test/urxvt
diff options
context:
space:
mode:
authorTom Ryder <tom@sanctum.geek.nz>2016-08-02 17:18:20 +1200
committerTom Ryder <tom@sanctum.geek.nz>2016-08-02 17:18:20 +1200
commit56fbfe7ec118f737be07ff9b80182706fe7dfd12 (patch)
tree2f2b9feda82215b944fdd20416bf6858549ed04c /test/urxvt
parentSpruce up lint-bin and lint-games scripts (diff)
downloaddotfiles-56fbfe7ec118f737be07ff9b80182706fe7dfd12.tar.gz
dotfiles-56fbfe7ec118f737be07ff9b80182706fe7dfd12.zip
Restore -f test rather than -e test
Because it prevents testing directories, of course
Diffstat (limited to 'test/urxvt')
-rwxr-xr-xtest/urxvt2
1 files changed, 1 insertions, 1 deletions
diff --git a/test/urxvt b/test/urxvt
index 71970b8f..d27d6660 100755
--- a/test/urxvt
+++ b/test/urxvt
@@ -1,6 +1,6 @@
#!/bin/sh
for perl in urxvt/ext/* ; do
- [ -e "$perl" ] || continue
+ [ -f "$perl" ] || continue
perl -c "$perl" >/dev/null || exit
done
printf 'All Perl scripts in urxvt/ext parsed successfully.\n'